﻿using OpenLiveWriter.Api;
using System;

namespace FilesForOLW
{
    public class Settings
    {
        private ISmartContent _content;
        public Settings(ISmartContent content)
        {
            _content = content;
        }

        public string FileName
        {
            get
            {
              
                return _content.Properties.GetString("fileName", "New file");
            }
            set
            {
                _content.Properties.SetString("fileName",value);
            }
        }


        public string ClassName
        {
            get
            {
                return _content.Properties.GetString("className", "");
            }
            set
            {
                _content.Properties.SetString("className",value);
            }
        }

        public Boolean Compress
        {
            get
            {
                return _content.Properties.GetBoolean("compress", false);
            }
            set
            {
                _content.Properties.SetBoolean("compress", value);
            }
        }

        public String CompressFileSize
        {
            get
            {
                return _content.Properties.GetString("compressedSize", "0");
            }
            set
            {
                _content.Properties.SetString("compressedSize",value);
            }
        }
    }
}
